#if !defined(AFX_EFFECTEDITWIN_H__EBD9049B_E279_4429_8415_4BE583C5EC3D__INCLUDED_)
#define AFX_EFFECTEDITWIN_H__EBD9049B_E279_4429_8415_4BE583C5EC3D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EffectEditWin.h : header file
//
class CTreeParamView;
class CDataParamView;

/////////////////////////////////////////////////////////////////////////////
// CEffectEditWin frame

class CEffectEditWin : public CFrameWnd
{
	DECLARE_DYNCREATE(CEffectEditWin)
protected:
// Attributes
public:
	void Create(CWnd *parent);
	CEffectEditWin();           // protected constructor used by dynamic creation
	virtual ~CEffectEditWin();
	CSplitterWnd m_splitter;
	CToolBar    m_wndToolBar;
	CTreeParamView		*TreePane;
	CDataParamView		*DataPane;
	bool ViewVar;
	// Operations
public:

	void Refresh();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEffectEditWin)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEffectEditWin)
	afx_msg void OnClose();
	afx_msg void OnViewViewvariancevalues();
	afx_msg void OnUpdateViewViewvariancevalues(CCmdUI* pCmdUI);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewViewvariancecurve();
	afx_msg void OnUpdateViewViewvariancecurve(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EFFECTEDITWIN_H__EBD9049B_E279_4429_8415_4BE583C5EC3D__INCLUDED_)
